require( "scripts/style" );
require( "scripts/progression/helpcontent" );

--[[
TextStyle=
{
	parent=DialogBodyText,
	x=0,y=46,w=kMax,h=kMax-80
};
--]]

MakeDialog
{
	-- Name the modal dialog
	name="help",
	Bitmap
	{
		image="backgrounds/helpbg",
		x=kCenter,
		y=kCenter,

		HelpWindow
		{
			name="helptext1",
			w=kMax,h=kMax,
			content=HelpContent, -- lua table from helpcontent.lua file

			--SetStyle(TextStyle),

			SetStyle(ButtonStyle),
			Button
			{
				label="back",
				name="back",
				--cancel=true,
				align=kHAlignLeft+kVAlignBottom,
				x=20,y=kMax-20,
			},
			Button
			{
				label="next",
				name="next",
				--default=true,
				align=kHAlignRight+kVAlignBottom,
				x=kMax-20,y=kMax-20,
			}
		}
	}
}